import React from 'react'
import { IoTrashOutline } from "react-icons/io5";

const MenuItemProps = ({props, setProps}) => {

    function addProp(){
        setProps(oldProp => {
            return [...oldProp, {itemName:'', price:0}];
        })
    }

    function editProp(ev, index, prop){
        const newValue = ev.target.value;
        setProps(prevSizes => {
            const newSizes = [...prevSizes];
            newSizes[index][prop] = newValue;
            return newSizes
        })
    }

    function removeProp(indexRemove){
        setProps(prev => prev.filter((v, index) => index !== indexRemove))
    }


  return (
    <div>
        <label className='mb-2 text-gray-700 font-semibold text-sm flex'>Box of donuts</label>
        <div className='border p-2 block my-2 w-full rounded-md outline-none border-[#DCA0AE]'>
            {props?.length > 0 && props.map((size, index) => (
                <div className='flex gap-2 items-center'>
                    <div>
                        <label className='-mb-1 text-gray-700 text-sm flex'>Donuts</label>
                        <input type='text' placeholder='Donuts' value={size.itemName} onChange={ev => editProp(ev, index, 'itemName')}/>
                    </div>
                    <div>
                        <label className='-mb-1 text-gray-700 text-sm flex'>Price</label>
                        <input type='text' placeholder='Price' value={size.price} onChange={ev => editProp(ev, index, 'price')}/>
                    </div>
                    <div className='flex items-center mt-5 text-red-500'>
                        <button type='button' onClick={() => removeProp(index)}><IoTrashOutline/></button>
                    </div>
                </div>
            ))}
            <button type='button' onClick={addProp} className='bg-gray-200 w-full p-2 rounded-md hover:opacity-80'>Add donuts</button>
        </div>
    </div>
  )
}

export default MenuItemProps